Subject: Re: question re: make
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: "Coco, Richard" <[email-masked]>, "[email-masked]'" <[email-masked]>
Cc: "Coco, Richard" <[email-masked]>
Date: Tue, 17 Oct 2000 15:31:28 -0400

At 02:40 PM 10/17/2000, Coco, Richard wrote:
>hi -
>
>i installed the latest freeware cygwin bundle (from the "Install Cygwin Now"
>icon at 
>http://sources.redhat.com/cygwin/. it downloaded a setup.ext file which
>permitted me to perform an 
>internet-based installation; which went well).
>
>I am having difficulty with the 'make' utility. When I run 'make' against my
>makefile, I get an error as 
>follows:
>
>      %make
>      ..\tools\jikes -classpath  ..\tools\javalibs\jdk13-rt.jar. -d
>..\classes Foo.java
>      make: system32cmd.exe: Command not found
>
>If I run the 'jikes' line above on the commandline, everything works fine.
>it looks like make is actually trying to complain about not being able to
>find: system32\cmd.exe, but 
>dropped the backslash char. I tried running 'make' from both a cygwin-bash
>window and an 
>Windows-2000 cmd.exe shell window. The above failure happens in both
>contexts. Seems like maybe 
>it's a PATH issue; tho' modifying PATH didn't seem to help.
>
>Any advise?
>
>Tx,
>
>- rich

This isn't a path problem.  Its a problem with wherever you're invoking 
system32\cmd.exe.  You need to escape the backslash.  You might try 
setting MAKE_MODE=win32.  This is supposed to tell make to handle win32
syntax rather than UNIX syntax.  There's allot more about MAKE_MODE in
the email archives.  You may find things of note for your problem there too.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Want to unsubscribe from this list?
Send a message to [email-masked]